<!DOCTYPE html>
<html>

<head>
    <title>Quiz</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="{% static 'quiz.js' %}"></script>
</head>

<body>
    <div class="container">
        <h1>Quiz</h1>
        <div id="question-container">
            <div id="question-text"></div>
            <div id="answer-container"></div>
            <button id="next-question-btn" class="btn btn-primary">Next question</button>
        </div>
        <div id="result-container" style="display:none">
            <h2>Quiz results</h2>
            <p>Correct answers: <span id="correct-answers"></span></p>
            <button id="submit-results-btn" class="btn btn-success">Submit results</button>
        </div>
    </div>
</body>

</html>


<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <title>Викторина</title>
    <script src="quiz.js"></script>
</head>

<body onload="getQuestions()">
    <h1>Викторина</h1>
    <div id="question-container">
        <div id="question-text"></div>
        <div>
            <input type="radio" name="answer" id="answer1" value="1">
            <label for="answer1" id="answer1-text">example1</label>
        </div>
        <div>
            <input type="radio" name="answer" id="answer2" value="2">
            <label for="answer2" id="answer2-text">example2</label>
        </div>
        <div>
            <input type="radio" name="answer" id="answer3" value="3">
            <label for="answer3" id="answer3-text">example3</label>
        </div>
        <div>
            <input type="radio" name="answer" id="answer4" value="4">
            <label for="answer4" id="answer4-text">example4</label>
        </div>
        <button onclick="nextQuestion()">Следующий вопрос</button>
    </div>
</body>

</html>